Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.outlet.java
Class OutletWithoutMergepoints

    java.lang.Object
      org.apache.torque.generator.outlet.OutletImpl
          org.apache.torque.generator.outlet.java.OutletWithoutMergepoints

All Implemented Interfaces:
  Outlet

Direct Known Subclasses:
  NewlineOutlet, OptionOutlet, StringInputOutlet, XmlOutlet

    public abstract class OutletWithoutMergepoints

extends OutletImpl

An outlet without mergepoints.

Constructor Summary
`OutletWithoutMergepoints(QualifiedName name)` Constructs a OutletWithoutMergepoints with the given name.

Method Summary
`void` | `addMergepointMapping(MergepointMapping mergepointMapping)` Adds an mergepoint mapping to the outlet.
`MergepointMapping` | `getMergepointMapping(String name)` Returns the mergepoint mapping for the given mergepoint name.

Methods inherited from class org.apache.torque.generator.outlet.OutletImpl
`afterExecute, beforeExecute, execute, getInputElementName, getMergepointMappings, getName, getVariable, mergepoint, setInputElementName, setMergepointMapping, setVariable, setVariable, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutletWithoutMergepoints

    public OutletWithoutMergepoints(QualifiedName name)

  Constructs a OutletWithoutMergepoints with the given name.

  Parameters:
    `name` - the name of this outlet, not null.
  Throws:
    `NullPointerException` - if name is null.

Method Detail

### addMergepointMapping

    public final void addMergepointMapping(MergepointMapping mergepointMapping)
                                    throws ConfigurationException

  Description copied from class: `OutletImpl`
  Adds an mergepoint mapping to the outlet. No mergepoint mappings must exist with the given name.

  Specified by:
    `addMergepointMapping` in interface `Outlet`
  Overrides:
    `addMergepointMapping` in class `OutletImpl`
  Parameters:
    `mergepointMapping` - the mergepointMapping to add, not null.
  Throws:
    `ConfigurationException` - if an mergepointMapping for the given name already exists.

### getMergepointMapping

    public final MergepointMapping getMergepointMapping(String name)

  Description copied from class: `OutletImpl`
  Returns the mergepoint mapping for the given mergepoint name.

  Specified by:
    `getMergepointMapping` in interface `Outlet`
  Overrides:
    `getMergepointMapping` in class `OutletImpl`
  Parameters:
    `name` - the name of the mergepoint mapping.
  Returns:
    the mergepoint mapping for the given name, or null if no mergepoint mapping exists for this name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.